Create a metadata bid
Create a metadata bid on NFTs matching a specific metadata identifier within a collection
Path Parameters
The name of chain
"imtbl-zkevm-testnet"
Body
Request body for creating a metadata bid. Exactly one of metadata_id
or metadata_criteria must be provided.
^0x[a-fA-F0-9]{40}$"0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266"
"0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266"
Buy item for metadata bid should either be ERC721 or ERC1155 collection item
1 element- Option 1
- Option 2
[
{
"type": "ERC721_COLLECTION",
"contract_address": "0x692edAd005237c7E737bB2c0F3D8ccCc10D3479E",
"amount": "1"
}
]Buy fees should only include maker marketplace fees and should be no more than two entries as more entires will incur more gas. It is best practice to have this as few as possible.
2[]Time after which the Order is considered expired
"2022-03-09T05:00:50.52Z"
{
"order_type": "FULL_RESTRICTED",
"counter": "92315562",
"zone_address": "0x12",
"seaport_address": "0x12",
"seaport_version": "1.5"
}A random value added to the create Order request
"12686911856931635052326433555881236148"
Sell item for metadata bid should be an ERC20 item
1 element[
{
"type": "ERC20",
"contract_address": "0x692edAd005237c7E737bB2c0F3D8ccCc10D3479E",
"amount": "9750000000000000000"
}
]Digital signature generated by the user for the specific Order
"0x"
Time after which Order is considered active
"2022-03-09T05:00:50.52Z"
Metadata identifier that matching NFTs must have to fulfill this bid. Mutually exclusive with metadata_criteria.
"018792C9-4AD7-8EC4-4038-9E05C598534B"
Field-level metadata filters that matching NFTs must satisfy to fulfill this bid. Mutually exclusive with metadata_id.
1[
{
"field_name": "name",
"values": ["Cool Dragon"]
},
{
"field_name": "attribute:Background",
"values": ["Blue", "Red"]
}
]Response
Created response.
{
"account_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"buy": [
{
"type": "NATIVE",
"amount": "9750000000000000000",
"contract_address": "0x0165878A594ca255338adfa4d48449f69242Eb8F"
}
],
"fees": [],
"chain": {
"id": "eip155:11155111",
"name": "sepolia"
},
"created_at": "2022-03-07T07:20:50.52Z",
"end_at": "2022-03-10T05:00:50.52Z",
"id": "018792C9-4AD7-8EC4-4038-9E05C598534A",
"protocol_data": {
"order_type": "FULL_RESTRICTED",
"counter": "1",
"zone_address": "0x12",
"seaport_address": "0x12",
"seaport_version": "1.4"
},
"salt": "12686911856931635052326433555881236148",
"sell": [
{
"type": "ERC721",
"contract_address": "0x692edAd005237c7E737bB2c0F3D8ccCc10D3479E",
"token_id": "1"
}
],
"signature": "0x",
"start_at": "2022-03-09T05:00:50.52Z",
"status": { "name": "ACTIVE" },
"fill_status": { "numerator": 1, "denominator": 2 },
"type": "LISTING",
"updated_at": "2022-03-07T07:20:50.52Z"
}